<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/> 
  <xsl:template match="/">
    <HTML>
      <BODY> 
	<CENTER>
	<H1>Product Development Pipeline</H1>
	<TABLE BORDER="1" BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
          <TR>
		<TH style="width:20%">Idea</TH><TH style="width:20%">Planning</TH><TH style="width:50%">Development</TH>
	  </TR>
          <TR>
		<TD><xsl:apply-templates select="//program" mode="idea"/></TD><TD><xsl:apply-templates select="//program" mode="planning"/></TD><TD><xsl:apply-templates select="//program" mode="development"/></TD>		
	  </TR>
	</TABLE>
	</CENTER>
	<BR/>
	<TABLE BORDER="1" BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
		<TR><TH colspan="2">Legend</TH></TR>
		<TR><TD><IMG align="middle" src="research.gif" hspace="3" WIDTH="20" HEIGHT="20"/></TD><TD>Research</TD></TR>
		<TR><TD><IMG align="middle" src="breakthrough.gif" hspace="3" WIDTH="20" HEIGHT="20"/></TD><TD>Breakthrough</TD></TR>
		<TR><TD><IMG align="middle" src="platform.gif" hspace="3" WIDTH="20" HEIGHT="20"/></TD><TD>Platform</TD></TR>
		<TR><TD><IMG align="middle" src="derivative.gif" hspace="3" WIDTH="20" HEIGHT="20"/></TD><TD>Derivative</TD></TR>
	</TABLE>
     </BODY>
    </HTML>
  </xsl:template>
  <xsl:template match="program" mode="idea">
	<TABLE BORDER="1" style="width:100%" BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
       	<xsl:for-each select="child::*[@stage='idea' and @category='research']"> 
			<TR style="vertical-align:top"><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
       	<xsl:for-each select="child::*[@stage='idea' and @category='breakthrough']"> 
			<TR style="vertical-align:top"><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
       	<xsl:for-each select="child::*[@stage='idea' and @category='platform']"> 
			<TR style="vertical-align:top"><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
       	<xsl:for-each select="child::*[@stage='idea' and @category='derivative']"> 
			<TR style="vertical-align:top"><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
        </TABLE>
  </xsl:template>
  <xsl:template match="program" mode="planning">
	<TABLE BORDER="1" style="width:100%" BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
       	<xsl:for-each select="child::*[@stage='planning' and @category='research']"> 
			<TR style="vertical-align:top"><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
       	<xsl:for-each select="child::*[@stage='planning' and @category='breakthrough']"> 
			<TR style="vertical-align:top"><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
       	<xsl:for-each select="child::*[@stage='planning' and @category='platform']"> 
			<TR style="vertical-align:top"><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
       	<xsl:for-each select="child::*[@stage='planning' and @category='derivative']"> 
			<TR style="vertical-align:top"><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
        </TABLE>
  </xsl:template>
  <xsl:template match="program" mode="development">
	<TABLE BORDER="1" style="padding:4" BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
	<TR><TH style="padding:4">Input and Planning</TH><TH style="padding:4">Concept Refinement</TH><TH style="padding:4">Detailed Design</TH><TH style="padding:4">Verification</TH><TH style="padding:4">Validation</TH></TR>
	<TR>
	<TD>
	<TABLE BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
       	<xsl:for-each select="child::*[@stage='development' and @phase='input_and_planning']"> 
			<TR><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
	</TABLE>
	</TD>
	<TD>
	<TABLE BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
       	<xsl:for-each select="child::*[@stage='development' and @phase='concept_refinement']"> 
			<TR><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
	</TABLE>
	</TD>
	<TD>
	<TABLE BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
       	<xsl:for-each select="child::*[@stage='development' and @phase='detailed_design']"> 
			<TR><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
	</TABLE>
	</TD>
	<TD>
	<TABLE BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
       	<xsl:for-each select="child::*[@stage='development' and @phase='verification']"> 
			<TR><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
	</TABLE>
	</TD>
	<TD>
	<TABLE BORDERCOLORDARK="0x000000" BORDERCOLORLIGHT="0x000000" CELLSPACING="0">
       	<xsl:for-each select="child::*[@stage='development' and @phase='validation']"> 
			<TR><TD></TD><TD></TD><TD></TD><TD></TD><TD><IMG align="middle" src="{@category}.gif" hspace="3" WIDTH="20" HEIGHT="20"/><xsl:text disable-output-escaping="yes">&lt;A href="</xsl:text><xsl:value-of select="concat(substring-before(@fullpath,'.xml'),'.html')"/><xsl:text disable-output-escaping="yes">"></xsl:text><xsl:value-of select="name"/><xsl:text disable-output-escaping="yes">&lt;/A></xsl:text></TD></TR>
        </xsl:for-each>
	</TABLE>
	</TD>
	</TR>
        </TABLE>
  </xsl:template>
</xsl:stylesheet>








