# Directories for xerces and gd header files should be here.
INCLUDEPATH= -I \xml-xerces\c\src -I \gd

# Directories for the xerces and gd libraries should be here.
LIBPATH=\xml-xerces\c\lib;\gd

LIB=$(LIB);$(LIBPATH)

# The actual library names to link to.
LIBS= xerces-c_1.lib gd.lib

# The location of the final executable.
BINPATH= bin

#If you do not want/need to generate .png gantt charts then uncomment 
# the following line. You will also need to remove the gd references
# from the INCLUDEPATH, LIBPATH and LIBS.
#CFLAGS= /DNO_PNG /YX /Gm /GX /Zi /Fdaustin.pdb /Fe$(BINPATH)\Austin.exe
CFLAGS= /YX /Gm /GX /Zi /Fdaustin.pdb /Fe$(BINPATH)\Austin.exe

# Your compiler here. (As of now it has only been tested with MS VC++ 6.0)
CC=cl

RESOURCES = Austin.cpp Duration.cpp Utility.cpp Task.cpp DOMTreeErrorReporter.cpp  Project.cpp JulianDay.cpp 
DEPENDENCIES = DOMTreeErrorReporter.hpp DirectedGraph.h Utility.h JulianDay.h NodeIterator.h Project.h Task.h

$(BINPATH)\Austin.exe: $(RESOURCES) $(DEPENDENCIES)
	$(CC) $(CFLAGS) $(INCLUDEPATH)  $(RESOURCES) $(LIBS)








