# This Perl script will apply the project.xsl to every
# timeline.xml found in the current directory or recursively to
# any directory below that.

use Cwd;
use File::Find;

sub process_file {
    if (/timeline.xml/i) {
	`austin -png timeline.xml`;
	$dir = cwd;
	print "Processing $File::Find::name\n"
	`testxslt -IN \"file:///$dir\\timeline.xml\" -OUT timeline.html -XSL file:///sw_dev\\austin\\xslt\\project.xsl`;
    }
}


@DIRLIST = qw(.);
find(\&process_file, @DIRLIST);












